Bug 1650935 - Error from trigger-script during upgrade of texlive packages.
Summary: Error from trigger-script during upgrade of texlive packages.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-base
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-17 18:26 UTC by Villy Kruse
Modified: 2018-11-28 02:42 UTC (History)
1 user (show)

Fixed In Version: texlive-base-20180414-28.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 02:42:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Villy Kruse 2018-11-17 18:26:29 UTC
Description of problem:

When upgrading some texlive packages and if the directory /usr/share/texlive/fmtutil.cnf.d is empty an error is generated from some trigger script.

Version-Release number of selected component (if applicable):

texlive-kpathsea-7:20180414-27.fc29.x86_64

How reproducible:

Always

Steps to Reproduce:
1.  Upgrade or reinstall a texlive packages, for example texlive-kpathsea
2.
3.

Actual results:


Running transaction
  Preparing        :                                                                                           1/1 
  Reinstalling     : texlive-kpathsea-7:20180414-27.fc29.x86_64                                                1/2 
  Cleanup          : texlive-kpathsea-7:20180414-27.fc29.x86_64                                                2/2 
  Running scriptlet: texlive-kpathsea-7:20180414-27.fc29.x86_64                                                2/2 
cat: bin: Is a directory
cat: boot: Is a directory
cat: data: Is a directory
cat: dev: Is a directory
cat: etc: Is a directory
cat: home: Is a directory
cat: lib: Is a directory
cat: lib64: Is a directory
cat: 'lib64;5aa0242e': Is a directory
cat: 'lib64;5aa03595': Is a directory
cat: 'lib64;5aa03855': Is a directory
cat: 'lib64;5aa03f21': Is a directory
cat: 'lib64;5aa03f2f': Is a directory
cat: 'lib64;5aa03f59': Is a directory
cat: lost+found: Is a directory
cat: media: Is a directory
cat: mnt: Is a directory
cat: opt: Is a directory
cat: proc: Is a directory
cat: root: Is a directory
cat: run: Is a directory
cat: sbin: Is a directory
cat: srv: Is a directory
cat: sys: Is a directory
cat: sysroot: Is a directory
cat: tmp: Is a directory
cat: usr: Is a directory
cat: var: Is a directory
warning: %triggerpostun(texlive-kpathsea-7:20180414-27.fc29.x86_64) scriptlet failed, exit status 1

Error in <unknown> scriptlet in rpm package texlive-kpathsea
  Verifying        : texlive-kpathsea-7:20180414-27.fc29.x86_64                                                1/2 
  Verifying        : texlive-kpathsea-7:20180414-27.fc29.x86_64                                                2/2 

Reinstalled:
  texlive-kpathsea-7:20180414-27.fc29.x86_64                                                                       

Complete!

Expected results:

Installation completes wihout error messages.

Additional info:

The error occurs if the directory /usr/share/texlive/fmtutil.cnf.d is empty.

Following patch fixes the issue:

--- /usr/sbin/generate-fmtutilcnf.original      2018-11-12 16:30:29.000000000 +0100
+++ /usr/sbin/generate-fmtutilcnf       2018-11-17 19:02:39.256194855 +0100
@@ -16,7 +16,7 @@
 echo "# Generated by $0 on $(date)" > $web2cdir/fmtutil.cnf.rpmtmp

 cat $web2cdir/fmtutil-hdr.cnf \
-    $(ls $texdir/fmtutil.cnf.d/*) \
+    $texdir/fmtutil.cnf.d/* \
     >> $web2cdir/fmtutil.cnf.rpmtmp

 mv $web2cdir/fmtutil.cnf.rpmtmp $web2cdir/fmtutil.cnf

Comment 1 Fedora Update System 2018-11-26 19:50:44 UTC
texlive-base-20180414-28.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a496e9536c

Comment 2 Fedora Update System 2018-11-27 05:14:36 UTC
texlive-base-20180414-28.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a496e9536c

Comment 3 Fedora Update System 2018-11-28 02:42:48 UTC
texlive-base-20180414-28.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.